import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:qadirneyriz/config/config.dart';

class CustomBackground extends StatelessWidget {
  final Widget child;
  final double? opacity;
  const CustomBackground({super.key, required this.child, this.opacity});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      height: double.infinity,
      decoration: BoxDecoration(color: config.ui.mainGreen),
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Center(
            child: Padding(
              padding: const EdgeInsets.symmetric(vertical: 50),
              child: SizedBox(
                width: 500,
                child: Image.asset(
                  'assets/images/logo.png',
                ),
              ),
            ),
          ),
          Expanded(
            child: child,
          )
        ],
      ),
    );
  }
}
